Сайт | Скачать | Видео | Wiki

Автор Тема: Драйвера к Compiz для Precise  (Прочитано 4253 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Temporalit

  • Новичок
  • *
  • Сообщений: 7
  • Репутация: +2/-0
Драйвера к Compiz для Precise
« : 19 Декабрь 2012, 21:54:31 »
Вышла Precise, и установка Xorg-High приводит к невозможности загрузки. Просто зависает и не реагирует ещё до того, как что-либо отобразит. Видимо, не совместимы с новой версией xorg или линукс-ядра. На Lupu всё работало. А подобрать аналогичные драйвера никак не удаётся. Компиз-то запускается, даже эффекты все нужные работают, а вот заголовочную панель окон с кнопками закрытия, минимизации и т.д. не отображает. Вообщем, емеральд не хочет работать. На emerald --replace пишет:
GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
У ноутбука карта встроенная, Intel GMA, но суть не в этом. Раньше всё работало, и сейчас только винменеджер не хочет запускаться.
Подскажите, пожалуйста, теперь-то какие пакеты ему нужны?
« Последнее редактирование: 20 Декабрь 2012, 14:44:02 от Temporalit »

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 4561
  • Репутация: +95/-0
    • RoDoN
Re:Compiz для сборки LupuRus 5.10 и 5.20
« Ответ #1 : 19 Декабрь 2012, 22:09:33 »
Тема называется "Compiz для сборки ПаппиРус 5.10 и 5.20", а точнее было бы назвать  "Compiz для сборки LupuRus 5.10 и 5.20" и при чем здесь Precise? Ведь в Lupu было ядро 2.6.33.2, а в Precise 3.2.29 и что же Вы хотите? Драйвера для разных ядер всегда были разные!!!

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy.

Оффлайн Temporalit

  • Новичок
  • *
  • Сообщений: 7
  • Репутация: +2/-0
Re:Compiz для сборки LupuRus 5.10 и 5.20
« Ответ #2 : 19 Декабрь 2012, 22:30:04 »
Так теперь новую тему отдельную заводить? :) Мне показалось это логическим продолжением. Тогда, надеюсь, администрация с пониманием отделит моё сообщение в новую тему.
Драйвера нужны какие?

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 543
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Compiz для сборки LupuRus 5.10 и 5.20
« Ответ #3 : 20 Декабрь 2012, 11:24:44 »
http://ftp.nluug.nl/ibiblio/distributions/quirky/pet_packages-precise/

Здесь драйверы под Nvidia и ATI. Xorg-High по-моему нету.
Надо компилить. Что именно - не знаю. Вот, здесь что-то:
ftp://mirror.csclub.uwaterloo.ca/x.org/current/src/driver/
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн Temporalit

  • Новичок
  • *
  • Сообщений: 7
  • Репутация: +2/-0
Re:Compiz для сборки LupuRus 5.10 и 5.20
« Ответ #4 : 20 Декабрь 2012, 14:42:55 »
По первой ссылке, если точнее
ftp://ftp.nluug.nl/pub/ibiblio/distributions/quirky/pet_packages-precise/
драйвера ставил. Чужие, что не удивительно, не подошли для моей Intel. Экран вытворял разные штуки. Переворачивался вниз головой, при этом отражая всё зеркально, кроме положения мыши, практически ничего не перерисовывал и т.п.
Исходники
http://mirror.csclub.uwaterloo.ca/x.org/current/src/driver/
тоже не помогли. Интеловский драйвер вначале скомпилировал, всё поставилось, но ничего не изменилось. Стал потом всё подряд компилить, ноль результата.

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 4561
  • Репутация: +95/-0
    • RoDoN
Re:Compiz для Precise
« Ответ #5 : 20 Декабрь 2012, 18:15:01 »
У ноутбука карта встроенная, Intel GMA, но суть не в этом.
Суть скорее всего как раз в этом, какая именно GMA? Их очень много и работают очень по разному. Если вдруг GMA500/600, тогда вообще очень грустно... :(

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy.

Оффлайн shelezyaka

  • Ветеран
  • *****
  • Сообщений: 695
  • Репутация: +39/-0
Re:Драйвера к Compiz для Precise
« Ответ #6 : 20 Декабрь 2012, 18:41:04 »
Начну с того что - толчёте воду в ступе.
Compiz не предназначен для wm JWM и ICEWM , а Precise емнип поставляется с JWM.
Тех универсальных видеодрайверов,которые вмонтированны в сборку, т.н. Gallium вполне хватит для работы Compiz.
cube_mark-2 с этими дровами,даёт 50% результат в сравнении с полноценными,проверялось правда на Nvidia.
Intel Core 2 E7600 ,GeForce 630   ,  3Gb DDR2 , 2 HDD - 160+80 gB

Оффлайн Temporalit

  • Новичок
  • *
  • Сообщений: 7
  • Репутация: +2/-0
Re:Драйвера к Compiz для Precise
« Ответ #7 : 20 Декабрь 2012, 19:43:27 »
Суть скорее всего как раз в этом, какая именно GMA?
GMA 3150
Не сильно какая, конечно, но на Lupu ведь всё нормально работало. Мне же много эффектов не нужно, в основном только удобства быстрой работы с окнами на маленьком экране и разрешении. Компиз+xfce с этим на 5 с плюсом справились. Более быстрой и удобной работы ещё никогда не было. На Убунте, например, встроены изначально только куски компиз-эффектов. Значительно медленнее получается.
Потому я столько и вожусь с этим, пытаясь его поднять к новому дистрибутиву.
Compiz не предназначен для wm JWM и ICEWM
У меня IvannaXP, там XFCE.
И Precise.
К тому же он бы ругался, что не получается --replace выполнить - уже есть винманаджер. Здесь же он на глиб ругается. Кстати, глиб из архивов по ссылке выше тоже ставил. Тоже не помогает.
В логах ксорга всё нормально. И glx, и aiglx, и другие видео драйвера, всё загружается.
glxinfo тоже выдаёт информацию с
direct rendering : Yes
множественными glx-расширениями и прочим.
Тех универсальных видеодрайверов,которые вмонтированны в сборку, т.н. Gallium вполне хватит для работы Compiz.
cube_mark-2 с этими дровами,даёт 50% результат в сравнении с полноценными,проверялось правда на Nvidia.
Так сам компиз без проблем работает. И, кстати, вообще не ругается. Ругается только emerald. А без него нет нормального управления окнами. Не kde или gnome же теперь ещё сверху накручивать. Хотя меня уже посещала эта страшная мысль получить франкенштейна.

Оффлайн vityk

  • Старожил
  • ****
  • Сообщений: 356
  • Репутация: +24/-0
Re:Драйвера к Compiz для Precise
« Ответ #8 : 20 Декабрь 2012, 19:50:40 »
Не kde или gnome же теперь ещё сверху накручивать.
Openbox?

Оффлайн Temporalit

  • Новичок
  • *
  • Сообщений: 7
  • Репутация: +2/-0
Re:Драйвера к Compiz для Precise
« Ответ #9 : 20 Декабрь 2012, 20:01:32 »
А в опенбоксе вместо компиза берил будет только работать вроде. Главные остатки xfce с панелями и прочим уйдут, а дальше-то всё равно он емералд попробует запустить? Или не?
В компизе же как декоратор окон, так, чтобы остатки xfce продолжали работать, можно только emerald, gnome и kde выбрать.

Оффлайн vityk

  • Старожил
  • ****
  • Сообщений: 356
  • Репутация: +24/-0
Re:Драйвера к Compiz для Precise
« Ответ #10 : 20 Декабрь 2012, 20:07:18 »
Да, будет берилл, когда-то пробовал на Опенбоксе, про емералд не помню, давно было.
ЗЫ, вспоомнил (по оформлению окон) ;D, все-таки берилл использует емералд.
« Последнее редактирование: 20 Декабрь 2012, 20:18:06 от vityk »

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 543
  • Репутация: +25/-1
  • Пусть воюют другие
Re:Драйвера к Compiz для Precise
« Ответ #11 : 21 Декабрь 2012, 01:57:50 »
А в опенбоксе вместо компиза берил будет только работать вроде.

lxpanel прикрутить и скрывать просто при запуске с ключом
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн Temporalit

  • Новичок
  • *
  • Сообщений: 7
  • Репутация: +2/-0
Re:Драйвера к Compiz для Precise
« Ответ #12 : 21 Декабрь 2012, 19:03:48 »
lxpanel прикрутить и скрывать просто при запуске с ключом
Emerald всё равно же не запустится из-за ошибки.

Странное что-то творится. Запускал Lupu, проверял по одному файлу, какой из них из Xorg-High нужен. Оказалось, один лишь i915_dri.so было достаточно заменить. После этого та же ошибка пропадала. Достал девятые Mesa, накачал нужных пакетов, скомпилировал. Поставил. Драйвер изменился. Емералд работает также, выдаёт ту же ошибку. Я уж даже пробовал и версию емералд для precise установить, не помогает.
Но! Я узнал, что, оказывается, практически бесполезно играться с драйверами без сохранёнки. Сделал сохранение, чтобы дальше копать, загружаюсь... А всё работает. X сервер я и раньше, конечно, перезагружал, но только сохранёнка помогла. Если нужно кому, могу sfs или pet с Mesa 9 сделать, но, возможно, и восьмые, которые уже выложены, всех устраивают.
Так что ура! :) Всем спасибо за помощь, всё теперь работает. Счастья полные штаны. :D

Даже более того - при сохранении сессии никакие драйвера вовсе нет необходимости устанавливать - всё работает "из коробки". :D Надо же столько времени провозиться.
« Последнее редактирование: 21 Декабрь 2012, 20:44:46 от Temporalit »